class GetSickLeaveDoctorRequestModel {
  int? patientMRN;
  String? appointmentNo;
  int? status;
  String? vidaAuthTokenID;
  String? vidaRefreshTokenID;

  GetSickLeaveDoctorRequestModel(
      {this.patientMRN,
      this.appointmentNo,
      this.status,
      this.vidaAuthTokenID,
      this.vidaRefreshTokenID});

  GetSickLeaveDoctorRequestModel.fromJson(Map<String, dynamic> json) {
    patientMRN = json['PatientMRN'];
    appointmentNo = json['AppointmentNo'];
    status = json['status'];
    vidaAuthTokenID = json['VidaAuthTokenID'];
    vidaRefreshTokenID = json['VidaRefreshTokenID'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['PatientMRN'] = this.patientMRN;
    data['AppointmentNo'] = this.appointmentNo;
    data['status'] = this.status;
    data['VidaAuthTokenID'] = this.vidaAuthTokenID;
    data['VidaRefreshTokenID'] = this.vidaRefreshTokenID;
    return data;
  }
}
